detekt-api
1.21.0-RC2

# DefaultRuleSetProvider

interface DefaultRuleSetProvider : RuleSetProvider
Content copied to clipboard

Interface which marks sub-classes as provided by detekt via the rules sub-module.

Allows to implement "--disable-default-rulesets" effectively without the need to manage a list of rule set names.

## Functions

instance
Link copied to clipboard
abstract fun instance (config: Config ): RuleSet
Content copied to clipboard

This function must be implemented to provide custom rule sets. Make sure to pass the configuration to each rule to allow rules to be self configurable.

## Properties

ruleSetId
Link copied to clipboard
abstract val ruleSetId : String
Content copied to clipboard

Every rule set must be pre-configured with an ID to validate if this rule set must be created for current analysis.